// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded primitive_smelting_bricks.js)')


// primitive_smelting_bricks
StartupEvents.registry('block', event => {
    event.create('primitive_smelting_bricks')
        .displayName('Primitive Smelting Bricks')
        .soundType('stone')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/primitive_smelting_bricks.json (point to block model)
assets/kubejs/models/block/custom_casings/primitive_smelting_bricks.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/primitive_smelting_bricks.json (item uses block model)
assets/kubejs/textures/block/custom_casings/primitive_smelting_bricks/{standard,ctm}.png/mcmeta
*/